<?php
include_once __DIR__.'/config.php';
include_once __DIR__.'/telegram.php';
$telegram = new telegram(TOKEN,HOST,USERNAME,PASSWORD,DBNAME); 
$time = time();

/** remove */
$orders = $telegram->db->query("select *, fl_order.id from fl_order inner join server_info where fl_order.server_id = server_info.id and server_info.ptype = 'marzban' and fl_order.status=1 and fl_order.notif > 2 ORDER BY fl_order.id");
if($orders){
    $orders = $orders->fetchAll(2);
    if(!empty($orders)){
    foreach ($orders as $order) { 
	    $userid = $order['userid'];
	    $fileid = $order['fileid'];
        $username = $order['remark'];
        $server_id = $order['server_id'];
        $notif = $order['notif'];
		$oid = $order['order_id'];
        
        if($time > $notif) {
			
			include_once('marz.php');
			$response = muser_detail($server_id, $username);
			if(is_null($response) or !$response){
				file_put_contents(__DIR__.'/notifm.txt', $oid);continue;
			}
		
			if(!$response->subscription_url){
				file_put_contents(__DIR__.'/notifm.txt', $oid);continue;
			}
		   
			$expiryTime = $response->expire;
			$total = $response->data_limit;
			$used_traffic = $response->used_traffic;
			
			if(is_null($expiryTime) or is_null($total) or $total == 0 or $total < 0 or $expiryTime == 0 or $expiryTime < 0) {
				file_put_contents(__DIR__.'/notifm.txt', $oid);continue;
			}
			
			$leftgb = round( ($total - $used_traffic) / 1073741824, 2);
			
			if(is_numeric($expiryTime) and is_numeric($leftgb)){
				if($expiryTime < time() or $leftgb <= 0){ // ended

					$exists = $telegram->db->query("select * from config_stat where remark = '$username'")->rowCount();
					if($exists)
						$telegram->db->query("update config_stat set total='$total',up='$up',down='$down',expiryTime='$expiryTime' where remark = '$username'");
					else
						$telegram->db->query("insert into config_stat VALUES (NULL, '$userid', '$username', '$total', '$up', '$down', '$expiryTime')");
					 
					$response = mdelete_user($server_id, $username);
					$msg = "💡 کاربر گرامی،
سرویس اشتراک $username به اتمام رسیده و به دلیل عدم تمدید، سرویس مورد نظر حذف شد.
می توانید از قسمت خرید سرویس، اقدام به تهیه سرویس جدید کنید.";
				
					$telegram->sendMessage($userid, $msg);
					$msg = "سرویس اشتراک $username به اتمام رسیده و به دلیل عدم تمدید، سرویس مورد نظر حذف شد.";
					//$telegram->sendMessage($sendchnl, $msg);
					$telegram->db->query("delete from `fl_order` where remark='$username'");
					$telegram->db->query("insert into clog values (NULL, '$username', '$userid','notif', $time)");
					$telegram->db->query("UPDATE `fl_server` SET `ucount` = ucount+1 WHERE `id` = $server_id");
				}else{
					$telegram->db->query("update `fl_order` set notif=0 where id='$oid'");
				}
			}
            
            } // $time > $notif
        }
 }
}
echo "Done~";